﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using CrystalDecisions.CrystalReports.Engine;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.BindReport();
        }
    }

    private void BindReport()
    {
        ReportDocument crystalReport = new ReportDocument();
        crystalReport.Load(Server.MapPath("~/CustomerReport.rpt"));
        Customers dsCustomers = GetData();
        crystalReport.SetDataSource(dsCustomers);
        CrystalReportViewer1.ReportSource = crystalReport;
        CrystalReportViewer1.DisplayGroupTree = false;
    }

    private Customers GetData()
    {
        using (Customers dsCustomers = new Customers())
        {
            DataTable dt = dsCustomers.Tables["DataTable1"];
            dt.Rows.Add("ALFKI", "Maria", "Boise", "Germany");
            dt.Rows.Add("ANATR", "Ana Trujillo", "México D.F.", "Mexico");
            dt.Rows.Add("ANTON", "Antonio Moreno", "Montréal", "Mexico");
            dt.Rows.Add("AROUT", "Thomas Hardy", "Mannheim", "Sweden");
            dt.Rows.Add("BERGS", "Christina Berglund", "Luleå", "Sweden");
            return dsCustomers;
        }
    }
}